MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032082Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-24 12:292021-01-30 17:16
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032082: Visualization, TKOpenGl - improve formatting of error messages
DescriptionCurrently error messages usually look like this:
[Error] TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Error: 2D texture 4096x32 IF: 6406 PF: 6406 DT: 5121 can not be created with error 1282.

This complicates understanding the messages as GLenum values are represented as decimals, while GL headers declare them as hex values.

It is proposed using hex formatting for GLenum values in messages and used named constants, when they are known.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032094verifiedbugmaster Visualization, TKOpenGl - OpenGl_VertexBuffer::bindAttribute() silently does nothing without active GLSL program 
related to 0032081verifiedbugmaster Visualization - WebGL sample errors when run in Safari browser with WebGL 1.0 
related to 0032084newkgv Visualization - WebGL sample errors when run in Safari browser with experimental WebGL 2.0 option 

-  Notes
(0098382)
kgv (developer)
2021-01-25 01:49

Patch is ready for review
- OCCT: branch CR32082.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32082-master-KGV/ [^]
(0098385)
osa (developer)
2021-01-25 10:02

The patch was reviewed without remarks
(0098494)
git (administrator)
2021-01-29 05:05

Branch CR32082_tmp has been created by kgv.

SHA-1: a46ab511c59e9966a2aa89e4a98e4185d3d80111


No new revisions were added by this update.
(0098495)
git (administrator)
2021-01-29 05:05

Branch CR32082_tmp has been deleted by kgv.

SHA-1: a46ab511c59e9966a2aa89e4a98e4185d3d80111
(0098528)
bugmaster (administrator)
2021-01-30 16:31

Combination -
OCCT branch : IR-2021-01-29
master SHA - 4ad4054c9029106ee8d3dffe9155bacf3969829b
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-01-29 SHA - c3b72814422d9716b8d67e200cc31db4c554346e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17780.76000000008 / 17796.17000000006 [-0.09%]
Products
Total CPU difference: 11509.04000000011 / 12430.450000000123 [-7.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19390.859375 / 19444.171875 [-0.27%]
Products
Total CPU difference: 12815.171875 / 13824.375 [-7.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098548)
git (administrator)
2021-01-30 17:16

Branch CR32082 has been deleted by inv.

SHA-1: a46ab511c59e9966a2aa89e4a98e4185d3d80111

- Related Changesets
occt: master a46ab511
Timestamp: 2021-01-23 18:35:46
Author: kgv
Details ] Diff ]
0032082: Visualization, TKOpenGl - improve formatting of error messages

Error messages in TKOpenGl package have been improved to format
GLenum values as string constants or hex values.
OpenGl_VertexBuffer::init() now logs a message with error details
instead of just returning Boolean flag.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore11Fwd.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureFormat.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TileSampler.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/Standard/Standard_TypeDef.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-24 12:29 kgv New Issue
2021-01-24 12:29 kgv Assigned To => kgv
2021-01-24 12:29 kgv Relationship added related to 0032081
2021-01-25 00:53 kgv Relationship added related to 0032084
2021-01-25 01:49 kgv Note Added: 0098382
2021-01-25 01:49 kgv Assigned To kgv => osa
2021-01-25 01:49 kgv Status new => resolved
2021-01-25 10:02 osa Note Added: 0098385
2021-01-25 10:02 osa Assigned To osa => bugmaster
2021-01-25 10:02 osa Status resolved => reviewed
2021-01-29 05:05 git Note Added: 0098494
2021-01-29 05:05 git Note Added: 0098495
2021-01-29 05:31 kgv Relationship added related to 0032094
2021-01-30 16:31 bugmaster Note Added: 0098528
2021-01-30 16:31 bugmaster Status reviewed => tested
2021-01-30 16:34 bugmaster Test case number => Not required
2021-01-30 16:50 kgv Changeset attached => occt master a46ab511
2021-01-30 16:50 kgv Assigned To bugmaster => kgv
2021-01-30 16:50 kgv Status tested => verified
2021-01-30 16:50 kgv Resolution open => fixed
2021-01-30 17:16 git Note Added: 0098548


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker